﻿using Rac.Common;
using System;
using System.IO;
using Rac.Tools;

namespace Rac
{
    public class FileBrowseServer : BaseService
    {
        private readonly string _dbFilePath;
        private DataAccess _db;

        public FileBrowseServer(string dbFilePath)
        {
            _dbFilePath = dbFilePath;
        }

        public override void Start()
        {
            if (false == File.Exists(_dbFilePath))
            {
                LogFatal($"Can not find database file:{_dbFilePath}");
                return;
            }
            _db = new DataAccess(_dbFilePath);

            var urls = _db.GetAllUrl();
        }

        public override void Stop()
        {
        }
    }
}